summary |
shortlog |
log |
commit | commitdiff |
tree
raw |
patch |
inline | side by side (from parent 1:
56c871e)
There's a new program `lock-screen' which works out which screensaver is
in use. gnome-screensaver is in my bad books now because the 2.26 version
relies on gnome-session for its idle-time measuring.
This partially reverts commit
f9f6fd32cf1e8cfab6ac71f9c34854e69e58711f.
--- /dev/null
+#! /bin/sh
+
+set -e
+
+win=no
+
+## xscreensaver
+if xscreensaver-command -version >/dev/null 2>&1; then
+ xscreensaver-command -lock
+ win=yes
+fi
+
+## gnome-screensaver
+if gnome-screensaver-command --query >/dev/null 2>&1; then
+ gnome-screensaver-command --lock
+ win=yes
+fi
+
+## Make sure we did something useful.
+case $win in
+ no)
+ echo >&2 "$0: no screensaver found"
+ exit 1
+ ;;
+esac
KeyDown 5 F8 exec xatom set XINIT_COMMAND :terminal
KeyDown 5 F9 exec xatom set XINIT_COMMAND :ask-run
KeyDown 5 F10 exec xatom set XINIT_COMMAND :ask-command
KeyDown 5 F8 exec xatom set XINIT_COMMAND :terminal
KeyDown 5 F9 exec xatom set XINIT_COMMAND :ask-run
KeyDown 5 F10 exec xatom set XINIT_COMMAND :ask-command
-KeyDown 5 F11 exec gnome-screensaver-command --lock
+KeyDown 5 F11 exec lock-screen
KeyDown 5 F12 exec xshutdown
KeyDown 5 Tab focus next
KeyDown 5 plus desk next
KeyDown 5 F12 exec xshutdown
KeyDown 5 Tab focus next
KeyDown 5 plus desk next
## System monitor.
case $vnc in no) run bginit gkrellm ;; esac
## System monitor.
case $vnc in no) run bginit gkrellm ;; esac
+ ## Screensaver.
+ case $vnc in
+ no)
+ run init xscreensaver-command -exit
+ run bginit xscreensaver -no-splash
+ ;;
+ esac
+
## Panel.
case $vnc in no) run bginit gnome-panel ;; esac
## Panel.
case $vnc in no) run bginit gnome-panel ;; esac
[ "$xstuff" ] && scripts="$scripts
xinitcmd
un-backslashify-selection
[ "$xstuff" ] && scripts="$scripts
xinitcmd
un-backslashify-selection
xshutdown"
echo "Installing scripts..."
mkdir -p $HOME$sub/bin
xshutdown"
echo "Installing scripts..."
mkdir -p $HOME$sub/bin